Bug 899 - mount.cifs does not allow a password with a comma in it
mount.cifs does not allow a password with a comma in it
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.4
All other
: P3 major
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-17 11:58 UTC by Berend de Boer
Modified: 2005-03-18 23:11 UTC (History)
0 users

See Also:


Attachments
updated cifs mount helper (28.85 KB, text/x-csrc)
2005-03-18 23:11 UTC, Steve French
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Berend de Boer 2003-12-17 11:58:02 UTC
Whatever you do, typing it in at the command-line, specyfing PASSWD, if your
password has a comma in it, it will reject the part after the comma and consider
the part after the comma to be an option.

I suspect the options parsing is done after the password has been appended or
so. mount.smbfs was fine.
Comment 1 Steve French 2005-02-10 14:39:34 UTC
I thought that this had been fixed in mount.cifs. The kernel code uses , as a
delimiter so this can be input two ways - 
1) specifying a different separator (sep= ...) but one that is not used in the
password
2) entering each , in the password (at the password prompt) twice.
Comment 2 Steve French 2005-03-18 23:07:37 UTC
Fixed in source/client/mount.cifs.c version 1.7 and later.  Passwords with
multiple commas in them will also require a kernel change to cifs.ko - which
will be in kernel 2.6.12 (fix currently in mm, will be in mainline later in the
week).
Comment 3 Steve French 2005-03-18 23:11:07 UTC
Created attachment 1052 [details]
updated cifs mount helper


updated cifs mount helper

gcc mount.cifs.c -o mount.cifs

mount.cifs goes in /sbin typically (backup your original mount.cifs